stages:
  - build
  - publish
  - release

build:
  image: openjdk:8
  stage: build 
  script:
    - ./gradlew -PossrhUsername=$MAVEN_USER -PossrhPassword=$MAVEN_PASS -PjobToken=$CI_JOB_TOKEN build
  artifacts:
    paths:
      - ./build/libs/

publish:
  image: openjdk:8
  stage: publish
  only:
    - tags
  script:
    - ./gradlew -PossrhUsername=$MAVEN_USER -PossrhPassword=$MAVEN_PASS -PjobToken=$CI_JOB_TOKEN publish

release:
  image: openjdk:8
  stage: release
  only:
    - tags
  script:
    - ./gradlew -PossrhUsername=$MAVEN_USER -PossrhPassword=$MAVEN_PASS -PjobToken=$CI_JOB_TOKEN closeAndReleaseRepository
